Debian Bug report logs - #610553
installation-reports: does not cleanly deconfigure network configured with DHCP

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Jeffrey Sheinberg <jeff@bsrd.net>

Date: Wed, 19 Jan 2011 20:36:01 UTC

Severity: normal

Fixed in version netcfg/1.60

Done: Matt Palmer <mpalmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jeff@bsrd.net, Debian Install Team <debian-boot@lists.debian.org>:
Bug#610553; Package installation-reports. (Wed, 19 Jan 2011 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey Sheinberg <jeff@bsrd.net>:
New Bug report received and forwarded. Copy sent to jeff@bsrd.net, Debian Install Team <debian-boot@lists.debian.org>. (Wed, 19 Jan 2011 20:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeffrey Sheinberg <jeff@bsrd.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Wed, 19 Jan 2011 15:32:59 -0500
Package: installation-reports
Severity: normal

Hi,

Install of squeeze-rc1 (expert mode, non-graphical) from *.iso - works
great except the network is not cleanly deconfigured for DHCP.

Solution - please send SIGUSR2 to the "udhcpc" process at end of
installation (menu items: finish up the installation, or abort the
installation).

Discussion - after the installation completes successfully, the computer
reboots into the new installation, however, the network configuration
via DHCP fails in the new installation.  

This is because my ISP's DHCP server already has handed out a lease to
my computer and this lease is still active.  

This active lease was obtained during the installation process, however,
the installation process did not release the DCHP lease before it
terminated the installation.

Why hasn't this problem been reported before?  Answer - most routers
will just re-offer an active DHCP lease to the same MAC address that had
originally obtained the lease.  However, my ISP's DHCP servers will only
re-offer an active leave when the requested ip-address matches the
ip-address that was provided with the original lease.

Note that on my other production Debian "lenny" and "squeeze" systems,
the DHCP lease is always released when the network is deconfigured.

Thanks,

Jeffrey Sheinberg


-- System Information:
Debian Release: 6.0
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'testing'), (500, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#610553; Package installation-reports. (Thu, 20 Jan 2011 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 01:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 610553@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Jeffrey Sheinberg <jeff@bsrd.net>, 610553@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#610553: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Thu, 20 Jan 2011 12:40:25 +1100
clone 610553
reassign 610553 finish-install
reassign -1 di-utils-reboot
thanks

On Wed, Jan 19, 2011 at 03:32:59PM -0500, Jeffrey Sheinberg wrote:
> Install of squeeze-rc1 (expert mode, non-graphical) from *.iso - works
> great except the network is not cleanly deconfigured for DHCP.
> 
> Solution - please send SIGUSR2 to the "udhcpc" process at end of
> installation (menu items: finish up the installation, or abort the
> installation).

That can probably be arranged.  It covers two separate packages, so I'm
going to clone out this report to get it fixed everywhere (finish-install
for regular completion, and di-utils-reboot for "Abort the installation").
di-utils-exit-installer ("Exit the installer") is only used in installer
demos, apparently, so that probably doesn't need to be changed.

(Note to implementors: example code for wiping out the DHCP client is in
netcfg/killall.sh; only minor adaptations should be required, although it
appears that different DHCP clients use different methods to signal release,
so that'll complicate matters)

However...

> This is because my ISP's DHCP server already has handed out a lease to
> my computer and this lease is still active.  
> 
> This active lease was obtained during the installation process, however,
> the installation process did not release the DCHP lease before it
> terminated the installation.
> 
> Why hasn't this problem been reported before?  Answer - most routers
> will just re-offer an active DHCP lease to the same MAC address that had
> originally obtained the lease.  However, my ISP's DHCP servers will only
> re-offer an active leave when the requested ip-address matches the
> ip-address that was provided with the original lease.

That must make life *really* entertaining for the ISP's support staff after
an area-wide power outage.  It also appears to be in contravention of a
quick skim of RFC2131, since there's no requirement for clients to send a
DHCPRELEASE.  Section 4.4.6 states, "Note that the correct operation of DHCP
does not depend on the transmission of DHCPRELEASE messages."  I wonder what
other brokenness your ISP is hiding...

- Matt




Bug reassigned from package 'installation-reports' to 'finish-install'. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 01:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610553; Package finish-install. (Thu, 20 Jan 2011 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 05:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 610553@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Matthew Palmer <mpalmer@debian.org>, 610553@bugs.debian.org
Subject: Re: Bug#610553: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Thu, 20 Jan 2011 06:00:51 +0100
[Message part 1 (text/plain, inline)]
Quoting Matthew Palmer (mpalmer@debian.org):
> clone 610553
> reassign 610553 finish-install
> reassign -1 di-utils-reboot
> thanks
> 
> On Wed, Jan 19, 2011 at 03:32:59PM -0500, Jeffrey Sheinberg wrote:
> > Install of squeeze-rc1 (expert mode, non-graphical) from *.iso - works
> > great except the network is not cleanly deconfigured for DHCP.
> > 
> > Solution - please send SIGUSR2 to the "udhcpc" process at end of
> > installation (menu items: finish up the installation, or abort the
> > installation).
> 
> That can probably be arranged.  It covers two separate packages, so I'm
> going to clone out this report to get it fixed everywhere (finish-install
> for regular completion, and di-utils-reboot for "Abort the installation").

I'd say that the first bug should be dealt in netcfg....which should
provide the appropriate finish-install.d hook


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610553; Package finish-install. (Thu, 20 Jan 2011 05:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 05:27:02 GMT) Full text and rfc822 format available.

Message #22 received at 610553@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 610553@bugs.debian.org
Subject: Re: Bug#610553: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Thu, 20 Jan 2011 16:24:20 +1100
On Thu, Jan 20, 2011 at 06:00:51AM +0100, Christian PERRIER wrote:
> Quoting Matthew Palmer (mpalmer@debian.org):
> > clone 610553
> > reassign 610553 finish-install
> > reassign -1 di-utils-reboot
> > thanks
> > 
> > On Wed, Jan 19, 2011 at 03:32:59PM -0500, Jeffrey Sheinberg wrote:
> > > Install of squeeze-rc1 (expert mode, non-graphical) from *.iso - works
> > > great except the network is not cleanly deconfigured for DHCP.
> > > 
> > > Solution - please send SIGUSR2 to the "udhcpc" process at end of
> > > installation (menu items: finish up the installation, or abort the
> > > installation).
> > 
> > That can probably be arranged.  It covers two separate packages, so I'm
> > going to clone out this report to get it fixed everywhere (finish-install
> > for regular completion, and di-utils-reboot for "Abort the installation").
> 
> I'd say that the first bug should be dealt in netcfg....which should
> provide the appropriate finish-install.d hook

Yeah, I thought about that, but it appears as though finish-install wants to
own all those sorts of things itself.  I would have expected
50config-target-network to be in netcfg, but it's not.  On the other hand,
if that's more of a historical screwup, moving it (and the
currently-hypothetical release-dhcp-lease) to netcfg isn't something I'm
philosophically opposed to).

- Matt





Bug 610553 cloned as bug 610616. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Thu, 20 Jan 2011 13:36:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610553; Package finish-install. (Thu, 20 Jan 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 610553@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Matthew Palmer <mpalmer@debian.org>, 610553@bugs.debian.org
Cc: Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#610553: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Thu, 20 Jan 2011 12:29:29 -0400
[Message part 1 (text/plain, inline)]
Matthew Palmer wrote:
> Yeah, I thought about that, but it appears as though finish-install wants to
> own all those sorts of things itself.  I would have expected
> 50config-target-network to be in netcfg, but it's not.  On the other hand,
> if that's more of a historical screwup

That's not a screwup, and it's not in netcfg for good reason: That
is a fallback to ensure the files are present in the event that netcfg
was not used in the installation at all.

Numerous packages *do* install finish-install hooks. I count at least
16 such.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610553; Package finish-install. (Thu, 20 Jan 2011 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 22:48:07 GMT) Full text and rfc822 format available.

Message #34 received at 610553@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 610553@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#610553: installation-reports: does not cleanly deconfigure network configured with DHCP
Date: Fri, 21 Jan 2011 09:44:38 +1100
reassign 610553 netcfg
thanks

On Thu, Jan 20, 2011 at 12:29:29PM -0400, Joey Hess wrote:
> Matthew Palmer wrote:
> > Yeah, I thought about that, but it appears as though finish-install wants to
> > own all those sorts of things itself.  I would have expected
> > 50config-target-network to be in netcfg, but it's not.  On the other hand,
> > if that's more of a historical screwup
> 
> That's not a screwup, and it's not in netcfg for good reason: That
> is a fallback to ensure the files are present in the event that netcfg
> was not used in the installation at all.

To my mind, it would seem to be cleaner that whatever does whatever network
configuration is done is required to persist it's own changes.  (I'm
thinking of a hypothetical NetworkManager-enabled installer, for example). 
Hence why having that hook in finish-install made no sense to me.

> Numerous packages *do* install finish-install hooks. I count at least
> 16 such.

Righto.  In netcfg it goes.

- Matt




Bug reassigned from package 'finish-install' to 'netcfg'. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 22:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Matt Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 09:00:07 GMT) Full text and rfc822 format available.

Reply sent to Matt Palmer <mpalmer@debian.org>:
You have taken responsibility. (Sun, 06 Feb 2011 09:42:21 GMT) Full text and rfc822 format available.

Notification sent to Jeffrey Sheinberg <jeff@bsrd.net>:
Bug acknowledged by developer. (Sun, 06 Feb 2011 09:42:21 GMT) Full text and rfc822 format available.

Message #43 received at 610553-close@bugs.debian.org (full text, mbox):

From: Matt Palmer <mpalmer@debian.org>
To: 610553-close@bugs.debian.org
Subject: Bug#610553: fixed in netcfg 1.60
Date: Sun, 06 Feb 2011 09:38:55 +0000
Source: netcfg
Source-Version: 1.60

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-static_1.60_i386.udeb
  to main/n/netcfg/netcfg-static_1.60_i386.udeb
netcfg_1.60.dsc
  to main/n/netcfg/netcfg_1.60.dsc
netcfg_1.60.tar.gz
  to main/n/netcfg/netcfg_1.60.tar.gz
netcfg_1.60_i386.udeb
  to main/n/netcfg/netcfg_1.60_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610553@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matt Palmer <mpalmer@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Feb 2011 12:59:07 +1100
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source i386
Version: 1.60
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Matt Palmer <mpalmer@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 399071 414117 496647 606515 610553
Changes: 
 netcfg (1.60) unstable; urgency=low
 .
   [ Matt Palmer ]
   * Increase the frequency of DHCP discover packets sent during DHCP
     configuration using udhcpc.  This should ameliorate some problems with
     DHCP configuration when a link is slow to become available.
     Thanks to Ferenc Wagner for the patch.
   * Clarify the requirements for hostnames.  Closes: #399071.
   * Modify ethtool-lite so that it distinguishes between "ethtool failed"
     and "ethtool says link is down".  This should reduce link up/link down
     confusion.  Closes: #496647.
   * Wait for up to 3 seconds (in 0.25s increments) looking for the link on
     an interface.  Add a progress bar to show the progress of this
     operation.  Closes: #414117.
   * Wait for link detection on static interface configuration.
     Closes: #606515.
   * Release DHCP lease at the completion of the install.  Closes: #610553.
 .
   [ Updated translations ]
   * Czech (cs.po) by Miroslav Kure
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Kazakh (kk.po) by Baurzhan Muftakhidinov
   * Nepali (ne.po)
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Telugu (te.po) by Arjuna Rao Chavala
   * Thai (th.po) by Theppitak Karoonboonyanan
Checksums-Sha1: 
 150da085b3151e44ec2346dd7951b6316ffa673d 1087 netcfg_1.60.dsc
 d9fc057133018d249e800046770e351fe057d8e5 426818 netcfg_1.60.tar.gz
 4a3fa640810e8432ec8f6d8f9443f4e9a1fb6c2b 318010 netcfg_1.60_i386.udeb
 867de966db11bd4025521b2729f61f96663e273e 243732 netcfg-static_1.60_i386.udeb
Checksums-Sha256: 
 acfaa16d8c649ba047758af690216ea31f28af6a943443209b4d9ae86da20472 1087 netcfg_1.60.dsc
 7dcead5de32a689ff5d32f7efd851f007b9c8f74b63ea1868c4e39e642e3cb1a 426818 netcfg_1.60.tar.gz
 a7b73c85a4e2c875c5f3302248df55d79458bc282999045844afce8845febf81 318010 netcfg_1.60_i386.udeb
 f27a71edc33db4f8b101cc9fa062f7fd29fccddfdcf70e9810bc2e370caa5ce6 243732 netcfg-static_1.60_i386.udeb
Files: 
 b8e61b3bd5f10588d92117eb366ff086 1087 debian-installer optional netcfg_1.60.dsc
 1bd95ab09187ce4dec5c10a939edb4cf 426818 debian-installer optional netcfg_1.60.tar.gz
 e245696aea11efe9d5f7ba89d2c70fd4 318010 debian-installer optional netcfg_1.60_i386.udeb
 9ebb07fbb04e88b68b930a199b533bc9 243732 debian-installer optional netcfg-static_1.60_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNTgSIBEnrTWk1E4cRAlp6AJ9dKlIC071ycb2mU4I8itgeU4ktUACeJLCf
CCr8i3SRTmBMqzl2jvsCr7E=
=0JEP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jul 2011 07:39:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:44:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.